using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace ScadaLink.ConfigurationDatabase.Migrations
{
    /// <inheritdoc />
    public partial class AddSiteNodeAddresses : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "NodeAAddress",
                table: "Sites",
                type: "nvarchar(500)",
                maxLength: 500,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "NodeBAddress",
                table: "Sites",
                type: "nvarchar(500)",
                maxLength: 500,
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "NodeAAddress",
                table: "Sites");

            migrationBuilder.DropColumn(
                name: "NodeBAddress",
                table: "Sites");
        }
    }
}
